Hello
I have a problem with tcltklib:
Running a simple programm using Tk produces following error:

ruby> ruby test.rb
/usr/local/lib/ruby/1.6/tk.rb:7:in `require': No such file to load --
tcltklib (LoadError)
        from /usr/local/lib/ruby/1.6/tk.rb:7
        from /usr/local/lib/ruby/1.6/tkclass.rb:6:in `require'
        from /usr/local/lib/ruby/1.6/tkclass.rb:6
        from test.rb:1:in `require'
        from test.rb:1
	
When I try to install the tcltklib, I get the following error message:

linux:/usr/src/packages/SOURCES/ruby-1.6.7/ext/tcltklib #  ruby extconf.rb
checking for t_open() in -lnsl... no
checking for socket() in -lsocket... no
checking for dlopen() in -ldl... yes
checking for log() in -lm... yes
checking for tcl.h... no

but TK 8.3 is installed in /usr/lib/tk8.3 and  tcl is installed in
/usr/lib/tcl8.3.
Im running a SuSE Linux 8.0 on a i686
Thanks F. Petit

-- 
+++ GMX - Mail, Messaging & more  http://www.gmx.net +++
NEU: Mit GMX ins Internet. Rund um die Uhr f 1 ct/ Min. surfen!